// Markierte Seiten nach PDF exportieren.cs
//
// Markierten Seiten nach PDF exportieren
//
// Copyright by Frank Schneck, 2009
// letzte nderung:
// V1.0.0, 06.07.2009, Frank Schneck, Projektbeginn
//
// fr Eplan Electric P8, ab V1.9.10
//
//
public class Seiten2PDF
{
	[DeclareMenu()]
	public void P8Tools()
	{
		//Menpunkt erstellen
		Eplan.EplApi.Gui.Menu oMenu = new Eplan.EplApi.Gui.Menu();
		oMenu.AddMenuItem("Seiten nach PDF exportieren", "Seiten_nach_PDF", "Markierten Seiten nach PDF exportieren", 35032, 0, false, false);
	}

	[DeclareAction("Seiten_nach_PDF")]
	public void strActionName_Menu()
	{
		//Markierten Seiten nach PDF exportieren
		string strProjectPages = string.Empty;
		string strZielDatei;
		ActionCallingContext ProjektContext = new ActionCallingContext();
		CommandLineInterpreter CommandLineInterpreter = new CommandLineInterpreter();

		//Markierte Seiten ermitteln
		ProjektContext.AddParameter("TYPE", "PAGES");
		CommandLineInterpreter.Execute("selectionset", ProjektContext);
		ProjektContext.GetParameter("PAGES", ref strProjectPages);
		string[] arrayProjectPage = strProjectPages.Split(';'); //Seitennamen durch Semikolon getrennt
		//MessageBox.Show(strProjectPages, "Markierte Seiten", MessageBoxButtons.OK, MessageBoxIcon.Information);

		strZielDatei = Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory) + @"\\Export.pdf";

		//Markierte Seiten als PDF ausgeben
		ActionCallingContext pdfContext = new ActionCallingContext();
		pdfContext.AddParameter("TYPE", "PDFPAGES");
		//pdfContext.AddParameter("PROJECTNAME", strProjectName) //Projektname mit komplettem Pfad (optional)
		for (int i = 0; i < arrayProjectPage.Length; i++)
		{
			//MessageBox.Show("PAGENAME" + (i + 1).ToString() + ":" + arrayProjectPage[i]);
			pdfContext.AddParameter("PAGENAME" + (i + 1).ToString(), arrayProjectPage[i]); 
		}
		pdfContext.AddParameter("EXPORTFILE", strZielDatei); //Name export.Projekt, Vorgabewert: Projektname
		pdfContext.AddParameter("USEZOOMLEVEL", "1"); //Springen in Navigationsseiten
		pdfContext.AddParameter("ZOOMLEVEL", "1"); //wenn USEZOOMLEVEL auf 1 dann hier Zoomstufe in mm
		pdfContext.AddParameter("USESIMPLELINK", "1"); //1 = einfache Sprungfunktion
		pdfContext.AddParameter("FASTWEBVIEW", "1"); //1 = schnelle Web-Anzeige
		pdfContext.AddParameter("READONLYEXPORT", "2"); //1 = PDF wird schreibgeschtzt
		pdfContext.AddParameter("BLACKWHITE", "1"); //1 = PDF wird schwarz-weiss
		CommandLineInterpreter.Execute("export", pdfContext);

		return;
	}
}
